
function etude_stabilite(obj,event)
% etude_stabilite
% Modifier le panel des entrées quand l'utilisateur active/désactive 
% l'etude de stabilite

%% ======================================================
data=guidata(gcf);
etat=get(obj,'value');
texte = get(data.etude_stab_tag, 'String');
switch etat
    case 1
% on demande l'etude de stabilite=> cacher la demande d'histogrammes
set(data.hist_txt_tag,'visible','off')
        set(data.hist_tag,'value',0)
    set(data.hist_tag,'visible','off')
    set(data.hist2_tag,'visible','off')
set(data.hist_edit_tag,'visible','off')
% interdire l'IC level des parametres du filtre
set(data.iclevel_tag, 'Visible', 'off');
set(data.iclevel_chaine, 'Visible', 'off');
% on fait apparaitre les cases de l'etude de stabilite
        set(data.stab_txt_tag,'visible','on')
        set(data.stab_edit_tag,'visible','on','string','')
        set(data.level_stab_txt_tag,'visible','on')
        set(data.level_stab_edit_tag,'visible','on','value',2)
        % On refait apparaitre la case elle-même et son icone d'aide
        set(data.etude_stab_tag, 'Position', [0.05 0.05 .1 0.95]);
        set(data.help_numberofdyn_tag, 'Visible', 'on');
   case 0
% On supprime l'etude de stabilite=> cacher ses cases 
        set(data.stab_txt_tag,'visible','off')
        set(data.stab_edit_tag,'visible','off','string','')
        set(data.level_stab_txt_tag,'visible','off')
        set(data.level_stab_edit_tag,'visible','off','value',2)
% on remet le texte origine
        set(data.etude_stab_tag, 'String',texte);
% on remet l'IC level des parametres du filtre
set(data.iclevel_tag, 'Visible', 'on');
set(data.iclevel_chaine, 'Visible', 'on');
% on remet les cases de la demande d'histogrammes
        set(data.hist_tag,'visible','on')
set(data.hist_edit_tag,'visible','off')
 % On repositionne la case elle-même
        set(data.etude_stab_tag, 'Position', [.38 0.05 .1 0.95]);
        set(data.help_numberofdyn_tag, 'Visible', 'off');
end

end %% fin etude_stabilite


